Bug 1419781 - Should contain the option:REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_MIRRORPULLTHROUGH in registry's config.yml when build env by ansible
Summary: Should contain the option:REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_MIRRORPULL...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.10.0
Assignee: Alexey Gladkov
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 03:13 UTC by zhou ying
Modified: 2018-04-16 14:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 14:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description zhou ying 2017-02-07 03:13:00 UTC
Description of problem:
When build env by ansible, the docker-registry's config: config.yml  not contain the option: REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_MIRRORPULLTHROUGH .
The docker-registry's image contain that option by default.

Version-Release number of selected component (if applicable):
openshift version
openshift v3.5.0.17+c55cf2b
kubernetes v1.5.2+43a9be4
etcd 3.1.0

How reproducible:
always

Steps to Reproduce:
1. Build OCP3.5 env by ansible;
2. Check the registry's config:
oc exec -it docker-registry-2-drj5n more /etc/registry/config.yml
version: 0.1
log:
  level: debug
http:
  addr: :5000
storage:
  delete:
    enabled: true
  cache:
    blobdescriptor: inmemory
  s3:
    accesskey: xxxxx
    secretkey: yyyyy
    region: us-east-1
    bucket: bucket1
    encrypt: false
    secure: true
    v4auth: true
    rootdirectory: /registry
    chunksize: "26214400"
auth:
  openshift:
    realm: openshift
middleware:  
  registry:  
  - name: openshift
  repository:
  - name: openshift
    options: 
      pullthrough: True
      acceptschema2: False
      enforcequota: False
  storage:   
  - name: openshift


Actual results:
2. The default config not contain option: REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_MIRRORPULLTHROUGH

Expected results:
2. Should contain option: REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_MIRRORPULLTHROUGH

Additional info:

Comment 1 Scott Dodson 2017-02-07 14:19:43 UTC
Is this breaking anything? We don't currently fully manage the registry configuration, I'd like to suggest we take this on as a card for 3.6.

Comment 2 Scott Dodson 2017-02-07 16:20:22 UTC
Setting UpcomingRelease I don't believe this is a regression. If it is please remove the keyword.

Comment 3 zhou ying 2017-02-20 06:55:10 UTC
This is the new feature of 3.5, not a regression.


Note You need to log in before you can comment on or make changes to this bug.